## gate.util.persistence
Class ResourcePersistence

    java.lang.Object
      |
      +--gate.util.persistence.ResourcePersistence

All Implemented Interfaces:
  Persistence, Serializable

Direct Known Subclasses:
  ControllerPersistence, LRPersistence, PRPersistence

class ResourcePersistence
extends Object
implements Persistence

Holds the data needed to serialise and recreate a `Resource`. This data is considered to be: the resource class name, the resource name, the resource features and the resource initialistion parameters.

See Also:
  Serialized Form

Field Summary
`protected Object` `features`
`protected Object` `initParams`
`protected String` `resourceName`
`protected String` `resourceType`
`(package private) static long` `serialVersionUID`

Constructor Summary
`(package private)` `ResourcePersistence()`

Method Summary
`Object` `createObject()` Creates a new object from the data contained.
`void` `extractDataFromSource(Object source)` Populates this Persistence with the data that needs to be stored from the original source object.

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### resourceType

    protected String resourceType

### resourceName

    protected String resourceName

### initParams

    protected Object initParams

### features

    protected Object features

### serialVersionUID

    static final long serialVersionUID

Constructor Detail

### ResourcePersistence

    ResourcePersistence()

Method Detail

### extractDataFromSource

    public void extractDataFromSource(Object source)
                               throws PersistenceException

  Description copied from interface: `Persistence`
  Populates this Persistence with the data that needs to be stored from the original source object.
  Specified by:
    `extractDataFromSource` in interface `Persistence`

### createObject

    public Object createObject()
                        throws PersistenceException,
                               ResourceInstantiationException

  Description copied from interface: `Persistence`
  Creates a new object from the data contained. This new object is supposed to be a copy for the original object used as source for data extraction.
  Specified by:
    `createObject` in interface `Persistence`